<?php 

    $wp_customize->add_section(
        'banner2_area',
        array(
            'title' => __( 'Banner Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'banner2_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'banner2_area_disable',
            array(
                'settings'      => 'banner2_area_disable',
                'section'       => 'banner2_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'banner2us', 'banner2_area', $color='#1F2130', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'banner2area_padding', 'banner2_area', 'Section Padding');

$wp_customize->add_setting(
    'banner2_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner2_areaTpadding',
    array(
        'settings'      => 'banner2_areaTpadding',
        'section'       => 'banner2_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'banner2_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner2_areaBpadding',
    array(
        'settings'      => 'banner2_areaBpadding',
        'section'       => 'banner2_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'bann2_conwidth', 'banner2_area', 'Section Width ');

$wp_customize->add_setting('bann2_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'bann2_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'banner2_area', // Replace with your actual section ID
    'settings' => 'bann2_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );

lzCustomLable($wp_customize, 'banner2area_headtxt', 'banner2_area', 'Heading Text');

$wp_customize->add_setting(
    'bann2_titletxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We provide tailored solar energy systems that drive your business forward with greater efficiency and sustainable growth.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bann2_titletxt',
    array(
        'settings'      => 'bann2_titletxt',
        'section'       => 'banner2_area',
        'type'          => 'textarea',
        'label'         => __( 'Heading Text ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'bn2sec_headtxtclr', 'banner2_area', ' Heading Text Color', '#fff');

lzCustomLable($wp_customize, 'testiarea_headingcase', 'banner2_area', 'Title Style');

$wp_customize->add_setting('bann2_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'bann2_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'banner2_area', // Replace with your actual section ID
    'settings' => 'bann2_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


lzCustomLable($wp_customize, 'banner2area_title', 'banner2_area', 'Section Title');


$wp_customize->add_setting(
    'bann2_lhtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Eco-friendly electricity' )
    )
);
$wp_customize->add_control(
    'bann2_lhtitle',
    array(
        'settings'      => 'bann2_lhtitle',
        'section'       => 'banner2_area',
        'type'          => 'text',
        'label'         => __( 'Conten Box Title ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'bn2sec_titleclr', 'banner2_area', ' Title Color', '#fff');

$wp_customize->add_setting(
    'bann2_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We know that the key to a successful solar installation lies in careful planning and smart execution. Whether it’s for your home, commercial space, or industrial site, we’ve got you covered.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bann2_txt',
    array(
        'settings'      => 'bann2_txt',
        'section'       => 'banner2_area',
        'type'          => 'textarea',
        'label'         => __( 'Conten Box Text ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'bn2sec_txtclr', 'banner2_area', ' Text Color', '#fff');

$wp_customize->add_setting(
    'bann2_list',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>The cost of solar can vary based on several factors</li>
             <li>Delving deeper than business plan</li>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bann2_list',
    array(
        'settings'      => 'bann2_list',
        'section'       => 'banner2_area',
        'type'          => 'textarea',
        'label'         => __( 'Conten Box List ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'bn2sec_listclr', 'banner2_area', ' List Color', '#fff');

addColorPalatOption($wp_customize, 'bn2sec_listicnclr', 'banner2_area', ' List Icon Color', '#6FCC43');

lzCustomLable($wp_customize, 'banner2area_imgset', 'banner2_area', 'Image Box');

lzCustomLable($wp_customize, 'banner2area_1stimgset', 'banner2_area', '1st Image');

$wp_customize->add_setting(
    'bann2_1image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'bann2_1image',
        array(
            'section' => 'banner2_area',
            'settings' => 'bann2_1image',
            'description' => __('Recommended Image Size: 440X530', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'banner2area_2ndimgset', 'banner2_area', '2nd Image');
$wp_customize->add_setting(
    'bann2_2image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'bann2_2image',
        array(
            'section' => 'banner2_area',
            'settings' => 'bann2_2image',
            'description' => __('Recommended Image Size: 440X380', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'banner2area_imgcir', 'banner2_area', 'Image Circle');

$wp_customize->add_setting( 'imgcir_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'imgcir_display', array( 'label' => 'Circle Display', 'section' => 'banner2_area', 'settings' => 'imgcir_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

addColorPalatOption($wp_customize, 'bn2sec_cirbgclr', 'banner2_area', ' Circle BG Color', '#1F2130');

addColorPalatOption($wp_customize, 'bn2sec_cirbrdclr', 'banner2_area', ' Circle Border Color', '#fff');

addColorPalatOption($wp_customize, 'bn2sec_cirhighbrdclr', 'banner2_area', 'Circle Highlight Border Color', '#70ce42');